UniqueConstraint (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.validation
[Java] Class UniqueConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.orm.hibernate.validation.AbstractPersistentConstraint
              org.codehaus.groovy.grails.orm.hibernate.validation.UniqueConstraint

    public class UniqueConstraint
    extends AbstractPersistentConstraint

A constraint that validates the uniqueness of a property (will query the database during validation process).

Authors:
  Graeme Rocher
  Sergey Nebolsin

Since:
  0.4

Field Summary
`static java.lang.String` | `UNIQUE_CONSTRAINT`

Fields inherited from class AbstractPersistentConstraint
applicationContext, sessionFactory

Fields inherited from class AbstractConstraint
classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource

Constructor Summary
`UniqueConstraint()`

Method Summary
`java.lang.String` | `getName()`
`java.util.List` | `getUniquenessGroup()`
`boolean` | `isUnique()` @return Returns the unique.
`boolean` | `isUniqueWithinGroup()` @return Whether the property is unique within a group
`protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
`void` | `setParameter(java.lang.Object constraintParameter)`

Methods inherited from class AbstractPersistentConstraint
getHibernateTemplate, isValid, setApplicationContext, supports

Methods inherited from class AbstractConstraint
checkState, getDefaultMessage, getParameter, getPropertyName, isValid, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### UNIQUE_CONSTRAINT

    public static final java.lang.String UNIQUE_CONSTRAINT

Constructor Detail

### UniqueConstraint

    public UniqueConstraint()

Method Detail

### getName

    public java.lang.String getName()

### getUniquenessGroup

    public java.util.List getUniquenessGroup()

### isUnique

    public boolean isUnique()

  Returns:
    Returns the unique.

### isUniqueWithinGroup

    public boolean isUniqueWithinGroup()

  Returns:
    Whether the property is unique within a group

### processValidate

    @Override
    protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

### setParameter

    @Override
    public void setParameter(java.lang.Object constraintParameter)

Groovy Documentation